---
title: 'HTMLElement: lostpointercapture event'
slug: Web/API/HTMLElement/lostpointercapture_event
tags:
  - Event
  - HTML DOM
  - HTMLElement
  - NeedsSpecTable
  - PointerEvent
  - Reference
---
<div>{{APIRef}}</div>

<p>The <strong><code>lostpointercapture</code></strong> event is fired when a <a href="/en-US/docs/Web/API/Pointer_events#Pointer_capture">captured pointer</a> is released.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Bubbles</th>
   <td>Yes</td>
  </tr>
  <tr>
   <th scope="row">Cancelable</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Interface</th>
   <td>{{domxref("PointerEvent")}}</td>
  </tr>
  <tr>
   <th scope="row">Event handler property</th>
   <td><code><a href="/en-US/docs/Web/API/Element/onlostpointercapture">onlostpointercapture</a></code></td>
  </tr>
 </tbody>
</table>

<h2 id="Examples">Examples</h2>

<p>This example listens for the <code>lostpointercapture</code> event for an element, and captures the pointer for the element on <code>pointerdown</code>. When the user subsequently releases the pointer, the <code>lostpointercapture</code> event will be fired.</p>

<pre class="brush: js notranslate">const para = document.querySelector('p');

para.addEventListener('lostpointercapture', () =&gt; {
  console.log('I\'ve been released!')
});

para.addEventListener('pointerdown', (event) =&gt; {
  para.setPointerCapture(event.pointerId);
});
</pre>

<p>The same example, but using the <code>onlostpointercapture</code> event handler property:</p>

<pre class="brush: js notranslate">const para = document.querySelector('p');

para.onlostpointercapture = () =&gt; {
  console.log('I\'ve been released!')
};

para.addEventListener('pointerdown', (event) =&gt; {
  para.setPointerCapture(event.pointerId);
});
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
  </tr>
  <tr>
   <td>{{SpecName('Pointer Events 2','#the-lostpointercapture-event')}}</td>
   <td>{{Spec2('Pointer Events 2')}}</td>
  </tr>
  <tr>
   <td>{{SpecName('Pointer Events', '#the-lostpointercapture-event')}}</td>
   <td>{{Spec2('Pointer Events')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLElement.lostpointercapture_event")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>Related events
  <ul>
   <li><code><a href="/en-US/docs/Web/API/HTMLElement/gotpointercapture_event">gotpointercapture</a></code></li>
   <li><code><a href="/en-US/docs/Web/API/HTMLElement/pointerover_event">pointerover</a></code></li>
   <li><code><a href="/en-US/docs/Web/API/HTMLElement/pointerenter_event">pointerenter</a></code></li>
   <li><code><a href="/en-US/docs/Web/API/HTMLElement/pointerdown_event">pointerdown</a></code></li>
   <li><code><a href="/en-US/docs/Web/API/HTMLElement/pointermove_event">pointermove</a></code></li>
   <li><code><a href="/en-US/docs/Web/API/HTMLElement/pointerup_event">pointerup</a></code></li>
   <li><code><a href="/en-US/docs/Web/API/HTMLElement/pointercancel_event">pointercancel</a></code></li>
   <li><code><a href="/en-US/docs/Web/API/HTMLElement/pointerout_event">pointerout</a></code></li>
   <li><code><a href="/en-US/docs/Web/API/HTMLElement/pointerleave_event">pointerleave</a></code></li>
  </ul>
 </li>
 <li><code><a href="/en-US/docs/Web/API/GlobalEventHandlers/onlostpointercapture">onlostpointercapture</a></code> event handler property</li>
 <li>This event on <code>Document</code> targets: <code><a href="/en-US/docs/Web/API/Document/lostpointercapture_event">lostpointercapture</a></code> event</li>
</ul>
